Package com.google.protobuf

# Interface FieldMaskOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `FieldMask`, `FieldMask.Builder`

public interface FieldMaskOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getPaths(int index)`
`repeated string paths = 1 [json_name = "paths"];`
`ByteString`
`getPathsBytes(int index)`
`repeated string paths = 1 [json_name = "paths"];`
`int`
`getPathsCount()`
`repeated string paths = 1 [json_name = "paths"];`
`List<String>`
`getPathsList()`
`repeated string paths = 1 [json_name = "paths"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPathsList

List<String> getPathsList()
`repeated string paths = 1 [json_name = "paths"];`

Returns:
  A list containing the paths.

### getPathsCount

int getPathsCount()
`repeated string paths = 1 [json_name = "paths"];`

Returns:
  The count of paths.

### getPaths

String getPaths(int index)
`repeated string paths = 1 [json_name = "paths"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The paths at the given index.

### getPathsBytes

ByteString getPathsBytes(int index)
`repeated string paths = 1 [json_name = "paths"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the paths at the given index.